﻿using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.richTextBox.SelectionChanged += richTextBox_SelectionChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 리치 텍스트 박스 선택 변경시 처리하기 - richTextBox_SelectionChanged(sender, e)

        /// <summary>
        /// 리치 텍스트 박스 선택 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void richTextBox_SelectionChanged(object sender, RoutedEventArgs e)
        {
            TextSelection textSelection = this.richTextBox.Selection;

            textSelection.ApplyPropertyValue(TextElement.BackgroundProperty, Brushes.Yellow); 
        }

        #endregion
    }
}